2017-12-17 09:49 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004384Kali Linux[All Projects] General Bugpublic2017-12-06 07:38
Reporteratdtphreaker 
Assigned Tosbrun 
PrioritynormalSeveritymajorReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version2017.3 
Target VersionFixed in Version2018.1 
Summary0004384: Sound / Audio issues.
DescriptionFollowing UPDATE and UPGRADE, I no longer have sound capabilities (selection of device, output, input, volume control, etc). Sound works via online video and audio but without any control.



Thanks for your time.
Steps To Reproduceapt-get update && apt-get upgrade && apt-get dist-upgrade
Additional Informationroot@kali:~# lspci
00:00.0 Host bridge: Intel Corporation 3rd Gen Core processor DRAM Controller (rev 09)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
00:14.0 USB controller: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation 7 Series/C216 Chipset Family MEI Controller 0000001 (rev 04)
00:1a.0 USB controller: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 7 Series/C216 Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 7 Series/C216 Chipset Family PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 (rev c4)
00:1d.0 USB controller: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller 0000001 (rev 04)
00:1f.0 ISA bridge: Intel Corporation HM77 Express Chipset LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] (rev 04)
00:1f.3 SMBus: Intel Corporation 7 Series/C216 Chipset Family SMBus Controller (rev 04)
01:00.0 Ethernet controller: Broadcom Limited NetXtreme BCM57765 Gigabit Ethernet PCIe (rev 10)
01:00.1 SD Host controller: Broadcom Limited BCM57765/57785 SDXC/MMC Card Reader (rev 10)
02:00.0 Network controller: Broadcom Limited BCM4331 802.11a/b/g/n (rev 02)
03:00.0 FireWire (IEEE 1394): LSI Corporation FW643 [TrueFire] PCIe 1394b Controller (rev 08)
04:00.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
05:00.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
05:03.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
05:04.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
05:05.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
05:06.0 PCI bridge: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
06:00.0 System peripheral: Intel Corporation CV82524 Thunderbolt Controller [Light Ridge 4C 2010]
Attached Files

-Relationships
+Relationships

-Notes

~0007657

DirtyOleg (reporter)

I have the same issue, there is no sound control (there even no output device detected in the sound setting), but there is sound I can play video or doing other things. I note when upgrade the system, the changlog mentioned that the Pulseaudio is not set as autospawn, and even I delete the file that set the autospawn=no, there issue is not resloved.

~0007658

domc (reporter)

I have the same issue after fresh install of 2017.3 on my Lenovo T420

~0007659

atdtphreaker (reporter)

@DirtyOleg

I too, did as you noted when I updated (pulseaudio, autospawn alert), editing '/etc/pulse/client.conf.d/00-disable-autospawn.conf' without success. ..and then deleting it (as you also did), also WITHOUT success.

~0007660

sbrun (manager)

The problem is that a condition has been added in files /usr/lib/systemd/user/pulseaudio.service and /usr/lib/systemd/user/pulseaudio.socket: ConditionUser=!root

We just upload a new kali-default version 2017.3.3: it overrides the condition in Kali and fixes the issue.

~0007662

j_jito (reporter)

Same for me here, though I tried this temporary fix: pulseaudio -D

Each time I boot kali, I type the command above, and the sound control is back.

~0007665

atdtphreaker (reporter)

Okay, defaults ('kali-default version 2017.3.3') were implemented following update. ...sound functions have returned, seemingly.


Thanks for the update.

~0007666

DirtyOleg (reporter)

@atdtphreaker

just for curiosity, how do you know the exact version of you kali, I only know it is 2017.3, because I install fresh 2017.3 in my computer, how do you find the version is 2017.3.3

~0007667

atdtphreaker (reporter)

@DirtyOleg

As I was updating, "2017.3.3" was stated. All my knowing is based on mere assumption, I suppose.

~0007668

rhertzog (administrator)

2017.3.3 refers to the version of the kali-defaults package (dpkg -s kali-defaults), there's no sub-version for kali in general.

Closing this ticket since the problem has been fixed.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-04 01:27 atdtphreaker New Issue
2017-12-04 01:27 atdtphreaker File Added: Screenshot from 2017-12-03 20-14-23.png
2017-12-04 01:28 atdtphreaker File Added: Screenshot from 2017-12-03 20-13-10.png
2017-12-04 01:28 atdtphreaker File Added: Screenshot from 2017-12-03 20-13-29.png
2017-12-05 00:34 DirtyOleg Note Added: 0007657
2017-12-05 04:16 domc Note Added: 0007658
2017-12-05 05:48 atdtphreaker Note Added: 0007659
2017-12-05 09:51 sbrun Note Added: 0007660
2017-12-05 09:52 sbrun Assigned To => sbrun
2017-12-05 09:52 sbrun Status new => assigned
2017-12-05 11:06 j_jito Note Added: 0007662
2017-12-05 22:49 atdtphreaker Note Added: 0007665
2017-12-06 03:00 DirtyOleg Note Added: 0007666
2017-12-06 03:08 atdtphreaker Note Added: 0007667
2017-12-06 07:38 rhertzog Status assigned => resolved
2017-12-06 07:38 rhertzog Resolution open => fixed
2017-12-06 07:38 rhertzog Fixed in Version => 2018.1
2017-12-06 07:38 rhertzog Note Added: 0007668
+Issue History